.\" t
.\" @(#)Tasks.1	04/15/99
.TH Tasks 0.2 "Apr 15 1999"
.UC
.SH NAME
\fBTasks\fP \- AfterStep tasks wharf module

.SH SYNOPSIS
\fBTasks\fP [\-f \fIconfig_file\fP] [\-v | \--version] [\-h | \--help]
[\-t | \--test]
.sp
Although \fBTasks\fP can be run from the command line, it is normally 
spawned by afterstep in the \fIwharf\fP file, in the following manner:
.nf
.sp
	*Wharf Tasks - SwallowModule "Tasks" Tasks &
.sp
.fi

.SH DESCRIPTION
\fBTasks\fP provides a wharf application that displays icons
representing windows that AfterStep is managing. By moving the mouse
pointer over an icon users can popup a balloon that shows the title
bar text of an icon. By clicking on an icon with Button 1 and Button 2
of the mouse (left and middle ones) users can perform actions on these
windows. If AfterStep is managing more than 9 windows, the right mouse
button can be used to cycle between pages of icons (the first page
contains of the first 9 icons, the second page contains the next 9
icons, etc.)  The actions that are performed by clicking Button 1 or
Button 2 can be configured by the user.

.SH OPTIONS
.IP "\-f \fIconfig_file\fP"
Use \fIconfig_file\fP instead of the default configuration file.

.IP "\-h | \--help"
Print a usage message and exit successfully.

.IP "\-v | \--version"
Print version information and exit successfully.

.IP "\-t | \--test"
Test the regular expressions in the configuration file, show any
errors, and exit.

.SH INITIALIZATION
During initialization, \fBTasks\fP will search a configuration file
which describes the balloon settings, the actions to take on mouse
clicks, the background images, and the association between title bar
texts and icons. This file will be the one specified by the \fI\-f\fP
option (if given). If no file is specified or the specified file does
not exist, the ~/GNUstep/Library/AfterStep/tasks file will be used. If
that file does not exist either, /usr/local/share/afterstep/tasks will
be used.

.SH INVOCATION
\fBTasks\fP can be invoked like any AfterStep module, but it was
intended to be docked in the Wharf as was indicated in the Synopsis
section above.

AfterStep will search through the directories specified in the
\fITasks\fP configuration in the \fIbase.#bpp\fP (where # is your
colordepth) to attempt to locate Tasks.

.SH CONFIGURATION OPTIONS
\fBTasks\fP reads the \fItasks\fP file when it starts up, and looks
for its configuration options.

.IP "*TasksBevel \fIbevel\fP"
Is used to make the squares in which the icons appear look flat (bevel
== 0), lowered (bevel == 1), or raised (bevel == 2).

.IP "*TasksUseSkipList"
Tells \fBTasks\fP to not show the windows that have
\fIWindowListSkip\fP as a \fIStyle\fP option in the \fIdatabase\fP
file.

.IP "*TasksUseIconNames"
Tells Tasks to use the icon name of the window instead of the full
window name.  This is useful to keep the text in balloons small.

.IP "*TasksAction \fIaction response[,reponse...]\fP"
Tells Tasks to do \fIresponse\fP when \fIaction\fP is done.  The
currently supported \fIaction\fPs are: Click1 and Click2.  The
currently supported \fIresponse\fPs are any AfterStep built-in
commands, including modules and functions.

.IP "*TasksBalloons"
Turns on the popup balloons. A "balloon" is displayed showing the name
of the icon the pointer is resting on in the \fBTasks\fP app.

.IP "*TasksBalloonFore \fIcolor\fP"
Specifies the color for text in the balloon window. If omitted it
defaults to the foreground color for the window being described.

.IP "*TasksBalloonBack \fIcolor\fP"
Specifies the background color for the balloon window. If omitted it
defaults to the background color for the window being described.

.IP "*TasksBalloonFont \fIfont-name\fP"
Specifies a font to use for the balloon text. Defaults to \fIfixed\fP.

.IP "*TasksBalloonBorderWidth \fInumber\fP"
Sets the width of the balloon window's border. Defaults to 1.

.IP "*TasksBalloonBorderColor \fIcolor\fP"
Sets the color of the balloon window's border. Defaults to black.

.IP "*TasksBalloonDelay \fInumber\fP"
Specifies the period in milliseconds to delay the appearance of the balloon.

.IP "*TasksBalloonYOffset \fInumber\fP"
The balloon window is positioned to be horizontally centered against
the icon it is describing. The vertical position may be set as an
offset. Negative offsets of \fI-N\fP are placed \fIN\fP pixels above
the icon, positive offsets of \fI+N\fP are placed \fIN\fP pixels
below. Defaults to +2.

.SH FILES

.IP \fI$HOME/GNUstep/Library/AfterStep/tasks\fP
Configuration file of tasks.

.SH REGULAR EXPRESSIONS

To associate a title bar text with an icon use regular expressions as
described in \fBregex\fR(1). In general, all you'll need is ".*" for
matching any sequence of characters.

.SH EXAMPLES
Sample tasks configuration file:
.nf
*TasksBalloons
*TasksBalloonFore          Brown
*TasksBalloonBack          #987040
*TasksBalloonFont          -adobe-helvetica-bold-o-*-*-10-*-*-*-*-*-*-*
*TasksBalloonBorderWidth   2
*TasksBalloonBorderColor   black
*TasksBalloonYOffset       4
*TasksBalloonDelay	   0
*TasksHiBackColor          Grey30
*TasksHiForeColor          Grey70

*TasksBevel 1
*TasksBackgroundImage wharf-tile.xpm
*TasksUseSkipList
*TasksIcon .*emacs.* workshop.xpm
*TasksIcon .*ghost.* Text.xpm
*TasksIcon .*etscape.* netscape.xpm
*TasksIcon .*term.* Folder.xpm
*TasksIcon .*(imp|IMP).* draw.xpm
*TasksIcon .*onitor.* cpuchip.xpm
*TasksIcon .*lectric.* 3dpaint.xpm
*TasksIcon .*ntitled.* AfterStep3.xpm
*TasksIcon .*man linux_man.xpm
*TasksActionClick1 Iconify -1, Focus
*TasksActionClick2 Iconify
.fi

.SH ACKNOWLEDGEMENTS
Tasks was based on \fIWinList\fR which was created by Rafal Wierzbicki,
Mike Finger, David Mihm, and Rene Fichter. The idea for the app was
taken from "lstasks", which does the same thing Tasks does, but for
Litestep (an AfterStep lookalike for Microsoft windows).


.SH AUTHOR
Eric Raijmakers (eric@win.tue.nl)
.SH SEE ALSO
.BR afterstep (1), WinList (1)
